<template>
  <v-container
    fluid
  >
    <purchaseLoan :example2="example" />
    <productsInformation
      :example="example2"
      cannotchange="1"
    />
    <back-and-approve @approve="clickApprove" />
    <v-alert
      v-show="showAlert"
      dense
      type="success"
    >
      Product brought successfully
    </v-alert>

    <v-alert
      v-show="showError"
      dense
      type="error"
    >
      You cannot buy it!!
    </v-alert>
  </v-container>
</template>

<script>
  import BackAndApprove from '../../components/BackAndApprove.vue'
  import productsInformation from './EnterproductsInformation.vue'
  import purchaseLoan from '../purchaseLoan.vue'
  import { showSingleLoan, getpurchaseLoan } from '@/request/api'
  export default {
    name: 'FinancialProductDetailView',
    components: {
      productsInformation,
      purchaseLoan,
      BackAndApprove,
    },
    data: function () {
      return {
        productCode: '', // 路由传递过来的参数
        example: {
          borrowerName: 'BaiDu',
          lenderName: '310115400176517',
          loanId: '2021-04-13',
          amount: '',
          bankCard: '',
        },
        example2: {
          loanId: '',
          loanProvider: '',
          loanCode: '',
          loanName: '',
          loanCurrency: '',
          loanAsset: '',
          loanAnnualInterest: '',
          loanAdditionalInfo: '',
          createTime: '',
        },
        showError: 0,
        showAlert: 0,
      }
    },
    mounted: function () {
      this.loanId = this.$route.query.loanId // 取到数据
      // 并且根据userCode去查询
      const createTime = new Date()
      showSingleLoan({ loanId: this.loanId }).then(
        resolve => {
          // console.log(resolve)
          this.example2 = { ...resolve, createTime }
          console.log(this.example2)
          this.example.borrowerName = localStorage.getItem('UserName')
          this.example.lenderName = this.example2.loanProvider
          this.example.loanId = this.loanId
        },
      )
        .catch(error => { console.log('失败'); console.log(error) })
    },
    // beforeUpdate: function () {
    //   console.log(this.example)
    // },
    methods: {
      clickApprove: function (e) {
        const params = this.example
        console.log(params)
        getpurchaseLoan(params)
          .then(resolve => {
            console.log(resolve)
            const status = resolve.status
            if (status === '404') {
              this.showError = 1
              setTimeout(() => {
                this.showError = 0
                this.step--
              }, 2000)
            } else {
              this.showAlert = 1
              setTimeout(() => {
                this.showError = 0
                this.step--
              }, 2000)
            }
          })
          .catch(error => {
            console.log('失败')
            console.log(error)
            this.showError = 1
            setTimeout(() => {
              this.showError = 0
              this.step--
            }, 2000)
          })
        // 发送请求申请，如果能够发送成功的话，就this.$router.go(-1)
        // setTimeout(() => {
        //   console.log('you have been succesfully')
        //   this.$router.go(-1)
        // }, 4000)
      },
    },
  }
</script>
